Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Comments

Get Comment By Id
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
https://api.uat.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
Get a content comment with ID commentId.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Responses
application/json
JSON
{"data":{"id":"841670d0-b780-47f5-9715-87cc5b3865f1","url":null,"userId":"ee3cc615-8494-4c2f-ae4f-d7eada32aa34","userUrl":null,"parentCommentId":"3d7a6ed3-1d36-45e9-9a33-dac4331c5998","parentCommentUrl":null,"creationDateTime":"2026-10-26T06:18:35.1022974+00:00","lastModifiedDateTime":null,"medias":[{"id":"535455df-b3f8-4cb2-8bbd-f3a25a5d49c7","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"7e6f57d8-1f20-4a10-b887-9878d8aeb1ec","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]}}
object
  ⯈ data object      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string